------------------------------------------------------------------------------------
--Name:  	baiqing5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-23
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(166, 125)
CppScriptMgr:SetViewScale(200)
local monster_0 = CppScriptMgr:AddPlayer(150, 162, 121, "", 0, 0)
monster_0:SetDir(7)
monster_0:SetZoomPercent(150)
local effect_0 = CppScriptMgr:AddEffect("NineDragon", 162, 121, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(176, 129)
player_0:Say("No! This dragon is about to self-destruct and take us all down with it!", 1500)
player_0:SetDir(2)
player_0:SetZoomPercent(150)
local npc_0 = CppScriptMgr:AddSimplePlayer(1100197, 169, 128, "", 0, 0)
npc_0:SetHide(1)
npc_0:SetZoomPercent(150)
npc_0:SetDir(7)
local npc_1 = CppScriptMgr:AddSimplePlayer(1100170, 170, 135, "", 0, 0)
npc_1:SetZoomPercent(150)
npc_1:SetDir(4)
CppScriptMgr:WaitMilSec(500)
monster_0:SetAction(401)
player_0:SetAction(101)
CppScriptMgr:WaitMilSec(500)
local effect_1 = CppScriptMgr:AddEffect("DoubleDance-999", 169, 128, 33, 1, 1, 1)
effect_1:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(500)
npc_0:SetHide(0)
CppScriptMgr:WaitMilSec(1500)
npc_0:Say("Don`t worry, leave it to me!", 1500)
CppScriptMgr:WaitMilSec(1000)
npc_0:SetAction(1111)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("In the name of love, dispel the darkness. Shadow Wyrm, may the power of true love cleanse your soul!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqbsqrjnpz", 150, 430, "Jeanne", 250, 655, false)
local effect_2 = CppScriptMgr:AddEffect("QiFuLev3", 162, 121, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
ChangeNpcZoom(monster_0, 150, 2, 1, 33)
CppScriptMgr:WaitMilSec(500)
local effect_3 = CppScriptMgr:AddEffect("taoist-huohuan", 162, 121, 33, 1, 1, 1)
effect_3:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:ClearEffect(effect_0)
monster_0:SetHide(1)
local effect_4 = CppScriptMgr:AddEffect("NEW-flower-rain", 162, 121, 33, 1, 1, 1)
effect_4:Scale(1.5, 1.5, 1.5)
npc_0:SetDir(3)
CppScriptMgr:WaitMilSec(2470)
player_0:Say("It worked!!!", 2500)
CppScriptMgr:WaitMilSec(3000)